package com.safeway.epe.avrokafkawithoutschemaregistry.configuration;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "kafka.producer")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class KafkaProperties {
    private String clientId;
    private String bootStrapServers;
    private String keySerializer;
    private String valueSerializer;
    private String acks;
    private String schemaRegistryUrl;
    private String retries;
    private String topic;
    private String keyDeSerializer;
    private String valueDeSerializer;
    private String groupId;
}
