package com.safeway.epe.avrokafkawithoutschemaregistry.promotion;

import com.safeway.epe.model.Promotion;

import java.text.Format;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public interface GeneratePromotion {
    public static Promotion generatedPromotion() {
        Promotion promotion = null;
        for (int i = 0; i < 10; i++) {
            promotion = Promotion.newBuilder()
                    .setPromotionId(new Random().nextInt(10000000))
                    .setPromotionType("faishon")
                    .setDiscount(new Random().nextInt(20))
                    .build();
        }
        return promotion;
    }

    public static Date convertTimestampToDateTime(Long timestamp) {
        Date date = new Date(timestamp);
        Format format = new SimpleDateFormat("yyyy MM dd HH:mm:ss");
        return date;
    }
}
